package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_ABS__INTEGER {
	private static final ValueInteger do_ABS(Context context, ValueInteger x) {
		
		// Returns the absolute value of a INTEGER value.
			return ValueInteger.select(context.getGenerator(), Math.abs(x.longValue()));
	}

	public static final void execute(Context context) {
		ValueInteger p0 = (ValueInteger)context.pop();
		context.push(do_ABS(context, p0));
	}
}